package _01_内容回顾;

public class Test {

    public static void main(String[] args) {
        /**
         * 加法操作
         * 分别写出来无参数无返回值 ,无参数有返回值 , 有参数有返回值 有参数无返回值
         * 分别调用方法
          */
        add();   // 调用无参数无返回值
        int result = add1();   // 无参数有返回值
        System.out.println(result);
        add2(1,2);  // 有参数无返回值
        int result1 = add3(3, 4);
        System.out.println(result1);
    }

    /**
     * 五参数无返回值
     */
    public static void add(){
        int a = 10;
        int b = 20;
        System.out.println(a+b);
    }

    /**
     * 无参数有返回值
     * void 没有返回值
     * 如果有返回值写具体返回值类型
     */
    public static int add1(){
        int a = 10;
        int b = 20;
        return a+ b;
    }

    /**
     * 有参数无返回值
     * 有参数需要再(形参,形参)
     */
    public static void add2(int a , int b){
        System.out.println(a+b);
    }

    /**
     * 有参数有返回值
     */
    public static int add3(int a, int b){
        return a + b;
    }
}
